package com.ejie.y42b.model;

import java.util.ArrayList;
import java.util.List;

/**
 * 
 *  
 *
 */
public class Y42bFormSobres {

	private String tipoEtiquetas;
	private int FilasEtiquetas = 0;
	private int ColumnasEtiquetas = 0;
	private List<DatosEtiquetas> datos = new ArrayList<DatosEtiquetas>();

	/**
	 * @return the tipoEtiquetas
	 */
	public String getTipoEtiquetas() {
		return this.tipoEtiquetas;
	}

	/**
	 * @param tipoEtiquetas
	 *            the tipoEtiquetas to set
	 */
	public void setTipoEtiquetas(String tipoEtiquetas) {
		this.tipoEtiquetas = tipoEtiquetas;
	}

	/**
	 * @return the filasEtiquetas
	 */
	public int getFilasEtiquetas() {
		return this.FilasEtiquetas;
	}

	/**
	 * @param filasEtiquetas
	 *            the filasEtiquetas to set
	 */
	public void setFilasEtiquetas(int filasEtiquetas) {
		this.FilasEtiquetas = filasEtiquetas;
	}

	/**
	 * @return the columnasEtiquetas
	 */
	public int getColumnasEtiquetas() {
		return this.ColumnasEtiquetas;
	}

	/**
	 * @param columnasEtiquetas
	 *            the columnasEtiquetas to set
	 */
	public void setColumnasEtiquetas(int columnasEtiquetas) {
		this.ColumnasEtiquetas = columnasEtiquetas;
	}

	/**
	 * @return the datos
	 */
	public List<DatosEtiquetas> getDatos() {
		return this.datos;
	}

	/**
	 * @param datos
	 *            the datos to set
	 */
	public void setDatos(List<DatosEtiquetas> datos) {
		this.datos = datos;
	}

	/**
	 * Rellena la lista con datos
	 * 
	 * @param de DatosEtiquetas
	 */
	public void addDatos(DatosEtiquetas de) {
		this.datos.add(de);

	}

	/**
	 * 
	 * @return eti
	 */
	public DatosEtiquetas datosEtiquetas() {
		return new DatosEtiquetas();
	}

	/**
	 * 
	 *  
	 *
	 */
	// inner class implements the Iterator pattern
	public static class DatosEtiquetas {

		private String nombre;
		private String direccion;
		private String codigopostal;
		private String localidad;

		/**
		 * @return the nombre
		 */
		public String getNombre() {
			return this.nombre;
		}

		/**
		 * @param nombre
		 *            the nombre to set
		 */
		public void setNombre(String nombre) {
			this.nombre = nombre;
		}

		/**
		 * @return the direccion
		 */
		public String getDireccion() {
			return this.direccion;
		}

		/**
		 * @param direccion
		 *            the direccion to set
		 */
		public void setDireccion(String direccion) {
			this.direccion = direccion;
		}

		/**
		 * @return the codigopostal
		 */
		public String getCodigopostal() {
			return this.codigopostal;
		}

		/**
		 * @param codigopostal
		 *            the codigopostal to set
		 */
		public void setCodigopostal(String codigopostal) {
			this.codigopostal = codigopostal;
		}

		/**
		 * @return the localidad
		 */
		public String getLocalidad() {
			return this.localidad;
		}

		/**
		 * @param localidad
		 *            the localidad to set
		 */
		public void setLocalidad(String localidad) {
			this.localidad = localidad;
		}

	}

	
}
